org.apache.lucene.benchmark.utils

## Class ExtractWikipedia

- java.lang.Object
- - org.apache.lucene.benchmark.utils.ExtractWikipedia

-     public class ExtractWikipedia
      extends java.lang.Object

  Extract the downloaded Wikipedia dump into separate files for indexing.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `count`
    `protected DocMaker` | `docMaker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtractWikipedia(DocMaker docMaker, java.io.File outputDir)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `create(java.lang.String id, java.lang.String title, java.lang.String time, java.lang.String body)`
    `java.io.File` | `directory(int count, java.io.File directory)`
    `void` | `extract()`
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### count

          public static int count

    - #### docMaker

          protected DocMaker docMaker

  - ### Constructor Detail

    - #### ExtractWikipedia

          public ExtractWikipedia(DocMaker docMaker,
                                  java.io.File outputDir)

  - ### Method Detail

    - #### directory

          public java.io.File directory(int count,
                                        java.io.File directory)

    - #### create

          public void create(java.lang.String id,
                             java.lang.String title,
                             java.lang.String time,
                             java.lang.String body)

    - #### extract

          public void extract()
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.